libept (1.1+nmu3) unstable; urgency=medium

  * Non-maintainer upload
  * Break and replace libept1.4.16 (= 1.0.14+b2) from broken binNMU
    (Closes: #806509)
  * Include apt-pkg library version in install file for next APT ABI
    break
  * apt/utils/sys.cc: Define O_PATH as 0 if undefined (for !linux)

 -- Julian Andres Klode <jak@debian.org>  Sat, 28 Nov 2015 20:59:47 +0100

libept (1.1+nmu2) unstable; urgency=medium

  * Non-maintainer upload
  * Upload to unstable for APT 1.1 transition.

 -- Julian Andres Klode <jak@debian.org>  Fri, 27 Nov 2015 14:35:59 +0100

libept (1.1+nmu1) experimental; urgency=medium

  * Non-maintainer upload with permission from the maintainer.
  * Build against APT 1.1

 -- Julian Andres Klode <jak@debian.org>  Fri, 11 Sep 2015 23:31:36 +0200

libept (1.1) experimental; urgency=medium

  * Removed need of tagcoll and wibble
  * Removed popcon/ support

 -- Enrico Zini <enrico@debian.org>  Thu, 10 Sep 2015 19:50:32 +0200

libept (1.0.14) unstable; urgency=medium

  * New version that includes Matthias' changes
  * Removed compatibility symlink, not needed anymore

 -- Enrico Zini <enrico@debian.org>  Tue, 11 Aug 2015 19:50:06 +0200

libept (1.0.13.1) experimental; urgency=medium

  * Non maintainer upload.
  * Rebuild using GCC 5. Addresses: #777944.
  * Tighten dependencies on -dev packages.
  * Rename libept1.4.12 to libept1.4.16 for the apt transition.
  * Update links and install files.

 -- Matthias Klose <doko@debian.org>  Sun, 09 Aug 2015 23:59:39 +0200

libept (1.0.13) experimental; urgency=medium

  [Raúl Sánchez Siles]
   * Fix "missing link /usr/lib/libept.so.1.0.5.4.12" Link now depends on
     architecture using dh-exec (Closes: #727694)

  [Enrico Zini]
  * Added cmake_minimum_required. Closes: #788770
  * Simplified debtags code
     - tag and vocabulary data are loaded only from /var/lib/debtags/
     - local patches are not supported anymore
     - tag and vocabulary merging are not supported anymore
     - removed support for patched collections
  * Removed obsolete package ept-cache. Closes: #436748

 -- Enrico Zini <enrico@debian.org>  Thu, 18 Jun 2015 10:32:52 +0200

libept (1.0.12.1) unstable; urgency=medium

  * Redone parsing of Tag fields, to cope with multiline fields
  * Get tag data from /var/lib/debtags/package-tags and
    /var/lib/debtags/vocabulary if they are available. Closes: #762347
  * Updated standards-version, no changes required.
  * Set priority to optional. Closes: #741632
  * Migrated to dh_installdeb maintscript support. Closes: #659749

 -- Enrico Zini <enrico@debian.org>  Mon, 06 Oct 2014 14:36:56 +0200

libept (1.0.12) unstable; urgency=low

  * Fixes a case of sizeof(struct stat) disagreeing between libwibble and
    libept on some architectures.

 -- Enrico Zini <enrico@debian.org>  Thu, 24 Oct 2013 20:55:21 +0200

libept (1.0.11) unstable; urgency=low

  * Added explicit template instantiation with the symbols aptitude needs.
    Closes: #727540

 -- Enrico Zini <enrico@debian.org>  Thu, 24 Oct 2013 19:02:55 +0200

libept (1.0.10) unstable; urgency=low

  * Dropped Conflict on long-disappeared version of debtags
  * Ported to debhelper
  * Ported to libwibble 1.1
  * Removed obsolete debian/README

 -- Enrico Zini <enrico@debian.org>  Thu, 24 Oct 2013 01:36:13 +0200

libept (1.0.9) unstable; urgency=low

  [ Adam Conrad ]
  * Add -Wl,--no-as-needed to the -lapt-pkg linking trick, as it
    fails to link anything if the toolchain defaults to as-neeed.

 -- Enrico Zini <enrico@debian.org>  Thu, 21 Jun 2012 10:11:57 +0200

libept (1.0.8) unstable; urgency=low

  * Applied Julien Cristau's patch to avoid unnecessary soname bumps.
    Closes: #677532, #677535, #677536

 -- Enrico Zini <enrico@debian.org>  Thu, 14 Jun 2012 20:32:47 +0200

libept (1.0.7) unstable; urgency=low

  * Expose the underlying libapt-pkg

 -- Enrico Zini <enrico@debian.org>  Thu, 14 Jun 2012 13:58:48 +0200

libept (1.0.6.1) unstable; urgency=low

  * Non maintainer upload.
  * Fix build failure with GCC 4.7. Closes: #667243.

 -- Matthias Klose <doko@debian.org>  Tue, 17 Apr 2012 12:43:33 +0200

libept (1.0.6) unstable; urgency=low

  * upload to unstable

 -- Michael Vogt <mvo@debian.org>  Mon, 16 Apr 2012 19:25:41 +0200

libept (1.0.6~exp1) experimental; urgency=low

  * build against libapt in experimental
  * debian/control:
    - encode apt ABI version in libept1 package name
  * ept/CMakeLists.txt:
    - do not set "SOVERSION 1" anymore, use full VERSION instead

 -- Michael Vogt <mvo@debian.org>  Tue, 24 Jan 2012 14:05:56 +0100

libept (1.0.5) unstable; urgency=low

  * Do not ship .m4 file anymore, as it's just a trivial invocation of
    pkg-config
  * Test for dpkg-maintscript-helper existance before invoking it.
    Closes: #590220

 -- Enrico Zini <enrico@debian.org>  Sun, 20 Mar 2011 19:18:34 +0000

libept (1.0.4) unstable; urgency=low

  * Fix broken tag names in /var/lib/debtags/vocabulary. Closes: #601417.

 -- Enrico Zini <enrico@debian.org>  Mon, 25 Oct 2010 23:33:04 +0200

libept (1.0.3) unstable; urgency=low

  * Removed debugging output and upload to unstable.

 -- Enrico Zini <enrico@debian.org>  Thu, 15 Jul 2010 13:14:06 +0100

libept (1.0.2+test4) experimental; urgency=low

  * Override sourcelist config option so we don't look for the custom name
    used in the buildds

 -- Enrico Zini <enrico@debian.org>  Thu, 15 Jul 2010 12:09:54 +0100

libept (1.0.2+test3) experimental; urgency=low

  * More debug info

 -- Enrico Zini <enrico@debian.org>  Thu, 15 Jul 2010 11:57:35 +0100

libept (1.0.2+test2) experimental; urgency=low

  * More debugging prints, and removed a useless constructor

 -- Enrico Zini <enrico@debian.org>  Thu, 15 Jul 2010 09:39:01 +0100

libept (1.0.2+test1) experimental; urgency=low

  * Improved one assertion, added more prints, try a workaround

 -- Enrico Zini <enrico@debian.org>  Wed, 14 Jul 2010 23:39:10 +0100

libept (1.0.2+test0) experimental; urgency=low

  * Added debugging prints to help debug #587764

 -- Enrico Zini <enrico@debian.org>  Wed, 14 Jul 2010 23:08:30 +0100

libept (1.0.2) unstable; urgency=low

  * Fixed a potential read-past-end-of-buffer error.
  * Removed weekly cron job. Closes: #588408
  * Updated standards-version, no changes required.
  * Switch to dpkg-source 3.0 (native) format

 -- Enrico Zini <enrico@debian.org>  Wed, 14 Jul 2010 21:14:36 +0100

libept (1.0.1) unstable; urgency=low

  * Upload to unstable

 -- Enrico Zini <enrico@debian.org>  Mon, 21 Jun 2010 22:03:50 +0100

libept (1.0) experimental; urgency=low

  * Big debtags code simplification
     - no more indices to maintain, just read the text files
     - no more int IDs and conversions to/from strings
  * Breaks API and ABI: bump major version
  * Replaced textindex with axi, which contains just a handful of helper
    functions to handle apt-xapian-index
  * ept-cache superseded by axi-cache

 -- Enrico Zini <enrico@debian.org>  Sun, 16 May 2010 10:22:00 +0100

libept (0.5.30) unstable; urgency=low

  * Priority: important
  * Depend on newer libwibble-dev. Closes: #560508
  * Added Vcs-* headers
  * Added more missing headers

 -- Enrico Zini <enrico@debian.org>  Tue, 15 Dec 2009 18:24:46 +0000

libept (0.5.29) unstable; urgency=low

  * Disabled graphviz-generated class diagrams in the documentation, and
    removed build-dependency on graphviz. Closes: #524604
  * Added missing const. Closes: #547421
    Thanks Stefan Potyra.
  * Removed workaround for #487406 on arm. Closes: #533793
  * Removed workaround for #459207 on cmake 2.4, and depend on cmake 2.6.
    Closes: #493200
  * Fixed cron job. Closes: #502608
    Thanks Frans Pop.

 -- Enrico Zini <enrico@debian.org>  Tue, 29 Sep 2009 15:29:32 +0100

libept (0.5.28) unstable; urgency=low

  * Removed adept-specific code. Closes: #540209.

 -- Enrico Zini <enrico@debian.org>  Sun, 23 Aug 2009 12:00:02 +0100

libept (0.5.27) unstable; urgency=low

  * Applied patch by Julian Andres Klode:
     + Fix test suite on apt 0.7.22, which supports Enhances (Closes: #539331)

 -- Enrico Zini <enrico@debian.org>  Mon, 03 Aug 2009 15:49:25 +0100

libept (0.5.26) unstable; urgency=low

  * Disable Xapian quality cutoff to make the results more deterministic
    and easier to understand (clients are now expected to trim their
    result list somehow).
  * Try to match the whole search string as a package name prefix,
    improving the result sets.

 -- Petr Rockai <mornfall@debian.org>  Wed, 15 Oct 2008 20:24:21 +0200

libept (0.5.25) unstable; urgency=low

  * Improvements to core::xapian robustness plus a few bugfixes there,
  * add core::package::ActionList::latest() to get at the topmost action.

 -- Petr Rockai <mornfall@debian.org>  Sun, 17 Aug 2008 12:10:49 +0200

libept (0.5.24) experimental; urgency=low

  * Rework core::xapian for both improved API and possibilities,
  * add some invalidate() methods to keep sources from using expired data,
  * implement package::Source::get< package::AnyVersion >(),
  * don't interfere with apt-get's autoremove marking,
  * a few relatively minor bugfixes.

 -- Petr Rockai <mornfall@debian.org>  Tue, 05 Aug 2008 19:55:50 +0200

libept (0.5.23) experimental; urgency=low

  * Added core::xapian::Source::update() to refresh xapian index
    (calls out to update-apt-xapian-index),
  * optimize core::desktop performance,
  * fix an important performance issue in core::apt::package's revertStates(),
  * fix many compiler warnings.

 -- Petr Rockai <mornfall@debian.org>  Thu, 31 Jul 2008 13:30:26 +0200

libept (0.5.22) unstable; urgency=high

  * Add missing build-dependency on g++-4.2 on ARM.

 -- Petr Rockai <mornfall@debian.org>  Sat, 26 Jul 2008 12:35:14 +0200

libept (0.5.21) unstable; urgency=high

  * Compile with g++-4.2 on ARM.  Closes: #487408.
  * Fixed apt::Apt package iteration.  Closes: #491412.
  * Updated standards-version (no changes required)
  * Created ufficial repository in collab-maint, and updated Vcs headers.

 -- Enrico Zini <enrico@debian.org>  Tue, 22 Jul 2008 18:15:40 +0100

libept (0.5.20) unstable; urgency=low

  * Really fix the failure this time. Missed a sort on one of the tests.
  * Build-depend on libwibble-dev >= 0.1.19.

 -- Petr Rockai <mornfall@debian.org>  Tue, 17 Jun 2008 23:18:05 +0200

libept (0.5.19) unstable; urgency=low

  * Fix a semi-random testsuite failure due to an operator< in
    desktop::Entry not defining a partial order.

 -- Petr Rockai <mornfall@debian.org>  Tue, 17 Jun 2008 16:25:12 +0200

libept (0.5.18) unstable; urgency=low

  [ Enrico Zini ]
  * Detect when the apt cache changes even after package removal.
  * Fix a bug in build system that caused FTBFS with cmake 2.6.
    Closes: bug#482227.

  [ Petr Rockai ]
  * Added package::Source::upgradableList(),
  * add API bits for recognizing held packages,
  * slight refactorings of the ept::core API,
  * parser for .desktop files,
  * a desktop::Source for reading in directories of .desktop files
    (app-install-data style),
  * fix a grave bug in AptException (it wasn't deriving std::exception...).

 -- Petr Rockai <mornfall@debian.org>  Sat, 14 Jun 2008 12:49:08 +0200

libept (0.5.17) unstable; urgency=low

  * Updated shlibs file.
  * Build paths in a smart way.  Closes: bug#472999.
  * Fixed problem with new GCC.  Closes: bug#472821.

 -- Enrico Zini <enrico@debian.org>  Fri, 28 Mar 2008 01:29:11 +0800

libept (0.5.16) unstable; urgency=high

  * Build-depend on new wibble
  * Install documentation.  Closes: #471744.
  * Urgency set to high as it is part of fixing #472476.

 -- Enrico Zini <enrico@debian.org>  Tue, 25 Mar 2008 14:54:51 +0800

libept (0.5.15) unstable; urgency=low

  [ Enrico Zini ]
  * Compiles with gcc 4.3.  Closes: #455334.
    Thanks Matthias Klose for the patch.
  * Builds with broken dash.  Closes: #459086.
    Thanks Daniel Hahler for the patch.
  * ept-cache depends on apt-xapian-index >= 0.5.  Closes: #457128.
  * ept-cache show works on multiple packages.  Closes: #462920.

  [ Petr Rockai ]
  * Enhancements to ept::core API, in support of Adept 3.0~alpha4.
  - Handle exceptions coming from _system-Lock().
  - AptException to slurp up _error into its context when being thrown.
  - Support for system upgrades in ActionList.
  - AptDatabase can be now told to use a custom OpProgress object.
  * Fix a bug in AptDatabase::openState() trying to use NULL pointer.

 -- Petr Rockai <mornfall@debian.org>  Mon, 10 Mar 2008 22:41:29 +0100

libept (0.5.14) unstable; urgency=low

  * Make the testsuite architecture-neutral, should fix build failures on
    all non-i386 arches.

 -- Petr Rockai <mornfall@debian.org>  Wed, 23 Jan 2008 12:18:44 +0100

libept (0.5.13) unstable; urgency=low

  * Merge my ept::core classes with Enrico's current libept iteration,
  * this makes the library capable of supporting future version of Adept,
  * use an internal copy of libwibble, with a new testing framework,
  * convert the testsuite to the new framework.
  
  * This release also contains a lot of duplicity between ept::core and
    ept::* classes, which will be gradually addressed by further releases.
  * The API under ept::core is *not* ABI-compatible between releases.
  * There is a static libept-core.a that only contains the ept::core
    functionality (but it is nevertheless linked into libept.so as well).

 -- Petr Rockai <mornfall@debian.org>  Fri, 18 Jan 2008 16:03:14 +0100

libept (0.5.12) unstable; urgency=low

  * Updated shlib deps.  Closes: bug#455748.

 -- Enrico Zini <enrico@debian.org>  Fri, 14 Dec 2007 12:22:48 +0100

libept (0.5.11) unstable; urgency=low

  * Use apt-xapian-index as the full text search index.
  * ept-cache reindex does not rebuild the full text index anymore.
  * Implemented --quiet for ept-cache reindex.  Closes: bug#432552.
  * ept-cache reindex calls update-apt-xapian-index.
  * Use --quiet in the cron job.
  * Check for existance of ept-cache in the cron job.  Closes: bug#435973.
  * Added missing includes.  Closes: bug#441522.

 -- Enrico Zini <enrico@debian.org>  Sat, 08 Dec 2007 16:54:58 +0000

libept (0.5.10) unstable; urgency=low

  * ept-cache: allow to sort by package size and installed size
  * ept-cache: --debug will show useful information about the various steps
    involved in building the Xapian query
  * Removed unused TextSearch::search functions
  * Added TextSearch::docidByName
  * Added TextSearch::makePartialORQuery
  * Don't segfault when trying to index a vocabulary which contains a facet
    without tags
  * Improved description of ept-cache related
  * Reactivated --full switch that accidentally disappeared
  * Added a faq for ept-cache.  Closes: #431791.
  * Added a --cutoff option to choose limits for the quality of the results

 -- Enrico Zini <enrico@debian.org>  Fri, 06 Jul 2007 12:15:07 +0100

libept (0.5.9) unstable; urgency=low

  * More alignment fixes
  * Build-depend on graphwiz to get the documentation fully generated
  * Improved the result of xapian-based ept-cache search with popcon sorting

 -- Enrico Zini <enrico@debian.org>  Thu, 28 Jun 2007 14:20:01 +0200

libept (0.5.8) unstable; urgency=low

  * Properly link with xapian.  Closes: bug#430719.
  * Fixed an alignment problem, that should make it work on hppa, ia64 and
    sparc
  * Added a weekly cron job to rebuild the indexes.  Closes: #429949.
  * Fixed building the developer documentation.  Closes: #416036.

 -- Enrico Zini <enrico@debian.org>  Thu, 28 Jun 2007 02:30:17 +0200

libept (0.5.7) unstable; urgency=low

  * Apt record iterator also shows records of locally installed .debs
  * Xapian search query generator for packages similar to a given one
  * Implemented ept-cache related

 -- Enrico Zini <enrico@debian.org>  Wed, 20 Jun 2007 21:11:07 +0100

libept (0.5.6) unstable; urgency=low

  * Index tags in the Xapian index
  * Use tags to improve the quality of the search results
  * Some tweaks to popcon scoring

 -- Enrico Zini <enrico@debian.org>  Tue, 19 Jun 2007 21:12:31 +0100

libept (0.5.5) unstable; urgency=low

  * Fixed ept-cache handling of sorting, filtering and limits
  * Added xapian sort order

 -- Enrico Zini <enrico@debian.org>  Thu, 14 Jun 2007 11:17:18 +0100

libept (0.5.4) unstable; urgency=low

  * Conflicts on debtags << 0.7, as the index file format changed
  * Much faster startup time on most operations
  * Print tags even when apt doesn't have them

 -- Enrico Zini <enrico@debian.org>  Tue, 12 Jun 2007 19:35:56 +0100

libept (0.5.3) unstable; urgency=low

  * Properly catch Xapian exceptions in ept-cache
  * Remind to be root in case an exception is raised on reindex when run as
    non-root
  * Allow to build Xapian queries instead of directly filling in an Enquire

 -- Enrico Zini <enrico@debian.org>  Sun, 10 Jun 2007 16:27:24 +0100

libept (0.5.2) unstable; urgency=low

  * Add -lxapian in the .pc file
  * libept-dev now depends on libapt-pkg-dev

 -- Enrico Zini <enrico@debian.org>  Sat, 09 Jun 2007 23:26:57 +0100

libept (0.5.1) unstable; urgency=low

  * Popcon data source is now independent from Apt
  * TextSource data source is now independent from Apt
  * Debtags data source is now independent from Apt
  * Added popcon::Local data source
  * Implemented output sorting in ept-cache

 -- Enrico Zini <enrico@debian.org>  Thu, 07 Jun 2007 22:36:16 +0100

libept (0.5) unstable; urgency=low

  * Complete rewrite of the library.  Closes: #426874.
  * Added ept-cache commandline interface to the library.

 -- Enrico Zini <enrico@debian.org>  Wed, 06 Jun 2007 21:13:24 +0100

libept (0.4.8) unstable; urgency=low

  * Check for package validity before returning its tags.  Closes: #408095.

 -- Enrico Zini <enrico@debian.org>  Thu, 24 May 2007 13:30:11 +0200

libept (0.4.7) unstable; urgency=high

  * Fixed deserialization of patches.
  * Urgency set to high because this allows #400994 to be fixed in debtags.

 -- Enrico Zini <enrico@debian.org>  Thu, 30 Nov 2006 19:21:46 +0000

libept (0.4.6) unstable; urgency=low

  [ Arnaud Fontaine ]
  * Changed submission address not to point at vitavonni.
    Closes: #399111.

  [ Enrico Zini ]
  * Build-depend on newer libtagcoll2-dev.

 -- Enrico Zini <enrico@debian.org>  Sat, 18 Nov 2006 16:21:17 +0100

libept (0.4.5) unstable; urgency=low
  
  [ Arnaud Fontaine ]
  * debian/control:
    - Add Homepage field.
    - Add myself as uploaders.
    - Update Standards-Version. No changes needed.
  * debian/copyright:
    - License the package under the GNU/GPL license.

  [ Enrico Zini ]
  * When saving the tag patch, Create ~/.debtags if it is missing.

 -- Enrico Zini <enrico@debian.org>  Mon, 30 Oct 2006 20:30:25 +0100

libept (0.4.4) unstable; urgency=low

  * Create ~/.debtags when generating user indexes, if it does not already
    exist

 -- Enrico Zini <enrico@debian.org>  Sun, 29 Oct 2006 19:57:40 +0100

libept (0.4.3) unstable; urgency=low

  * Added various missing Depends.  Closes: bug#391428.

 -- Enrico Zini <enrico@debian.org>  Sun,  8 Oct 2006 11:24:51 +0200

libept (0.4.2) unstable; urgency=low

  * Build without -gstabs+, as stabs is not supported in some architectures.

 -- Enrico Zini <enrico@debian.org>  Thu,  5 Oct 2006 00:56:24 +0200

libept (0.4.1) unstable; urgency=low

  * Added missing build-dep on cmake.  Closes: bug#390036.
  * Ported to new, faster coll::patched on tagcoll2.
  * Build-depend on new apt to ensure we do not hit #390189.

 -- Enrico Zini <enrico@debian.org>  Wed,  4 Oct 2006 09:17:22 +0200

libept (0.4.0) unstable; urgency=low

  * New upstream version with many API changes
  * Renamed as libept
  * Updated Standards-Version
  * Added README.Debian to document that libept is a static library built with
    -fPIC

 -- Enrico Zini <enrico@debian.org>  Sun, 24 Sep 2006 22:07:10 +0100


libapt-front (0.3.9) unstable; urgency=low

  * apt-index-watcher now runs another instance of itself to do the update.
    Closes: #357549.
  * Builds with GCC 4.1.  Closes: #357555.
  * Implemented package relationships in completeRecord()

 -- Enrico Zini <enrico@debian.org>  Sat, 18 Mar 2006 21:54:49 +0100

libapt-front (0.3.8) unstable; urgency=low

  * CHANGE: Use libtagcoll 1.6 with the new IntDiskIndex
  * CHANGE: Components now regenerate indexes during initialization when needed
  * CHANGE: Debtags update function no more exists: one now calls
    debtags::fetchNewData() before instantiating the components and the
    components will reindex as needed.
  * Created apt-index-watcher, to keep the on-disk index up to date when
    another application rebuilds the APT index.  Sadly, there doesn't seem to
    be any better way in a short or medium term.

 -- Enrico Zini <enrico@debian.org>  Fri,  3 Mar 2006 11:45:03 +0100

libapt-front (0.3.7) unstable; urgency=low

  * Install utils/comparable.h (was missing),
  * CHANGE: the actor user-visible names changed for improved usability,
  * CHANGE: Relation::targetPackages() now returns only those with
    versions satisfying the constraints (as it should),
  * NEW: Cache::isOpen() predicate,
  * NEW: component::Desktop allows getting group list of a custom
    entity range now (not only all groups in system),
  * NEW: entity::{Version,Package} now have md5sum, source and fileName
    accessors (available through component::Records)
  * slight optimization of filteredRange,
  * fixed intersectionRange to not walk past end of underlying range,
  * un-optimize name() lookups in packages, reduces memory usage
    while keeping nearly same speed,
  * use GenericName for a description() of Desktop entries that have
    no Comment

 -- Peter Rockai <me@mornfall.net>  Sun, 19 Feb 2006 21:20:04 +0100

libapt-front (0.3.6) unstable; urgency=low

  * CHANGE: ranges have end() and not last(), the semantics are same,
  * CHANGE: Range::next() is now a non-mutating successor generator,
    Range::advance() is a mutator,
  * CHANGE: no more Range::ensureSorted() mutator -- there's a non-mutating
    Range::sorted() accessor that gives an instance of the same range, however
    sorted
  * CHANGE: a mostly-compatible refactoring of entity::Package; if you relied
    on implementation details, your code may break now
  * CHANGE: entity::Relation::targetPackages() now traverses Provides:, as it should
  * CHANGE: no more cache::component::Packages::packages( iterator ), use
    packagesBegin() and packagesEnd() or the range accessors instead,
  * NEW: cache::component::Desktop -- parse .desktop files with special X-AppInstall-*
    entries, associate them with their packages, have entity::Desktop to manipulate
    them
  * NEW: SortedRange and UniqueRange adaptors, which present their underlying
    range in a sorted and in the latter case uniquized manner
  * NEW: Range::contains( element ) -- generic implementation only, O(n) so far
    (will optimize later)
  * NEW: aptFront::utils::Comparable mixin (implements > and == in terms of <)
  * NEW: cache::component::Packages::sorted() now gives a name-sorted range of
    entity::Package instances
  * NEW: cache::component::State::{installSize{,String},downloadSize{,String}}
    accessors -- what is needed to get system into currently marked up state
  * NEW: all cache::component implementations now have a Cache &cache() accessor
  * NEW: GeneratedRange, a range defined by a successor functor and a end-test
    functor
  * NEW: cache::component::State::{revert(),replay( range )}, former restores
    state that corresponds to current system and replay( range ) runs a list
    of actions recorded in the range (only one notification is fired)
  * (compatible) rewrite of component::History, more reliable now
  * reduce test data set, remove the download hacks,
  * gettextize, wrap strings that are intended for presentation in gettext() calls,
  * set debugger with DEBUGGER={valgrind,gdb --args} for make test,

 -- Peter Rockai <me@mornfall.net>  Mon, 13 Feb 2006 11:25:27 +0100

libapt-front (0.3.5) unstable; urgency=low

  [ Enrico Zini ]
  * Added architecture to Version::completeRecord.
  
  [ Peter Rockai ]
  * Test suite should not produce ansi-colorized output by default anymore
    (broke buildd logs),
  * entity::Package::versions() now returns a Range instead of taking an
    output iterator,
  * reduce noise in debtags update code (this will need fixng later),
  * new handling of fallback arguments for getters,
  * templatize Version (work in progress, currently backwards compatible),
  * libapt-front-devel@l.a.d.o is the new maintainer,
  * new Version::installedSize{,String}() getters, added to completeRecord(),
  * first go at implementing entity::Relation,
  * new TagSet matcher to check a whole tagset at once (and-ed),
  * support purge and reinstall actions on packages,
  * entity::Named is a new interface, to be implemented by entities with
    name() accessor,
  * MultiType's isType< type >() predicate renamed to is< type >(),
  * support for cancelled download in Manager, throws OperationCancelled,
  * fix make clean to reduce trash that gets into distribution tarballs,
  * fix copy constructor of PackagePolicy to actually work as it should
    (and not cause random memory to be used by libapt-pkg, which probably
    caused some segfaults)

 -- Peter Rockai <me@mornfall.net>  Mon, 23 Jan 2006 13:54:31 +0100

libapt-front (0.3.4) unstable; urgency=low

  * Works with tags which are 1 character long (such as langdevel::c)
  * Allows to use file:// URIs in /etc/debtags/sources.list
  * Debtags test data is now provided in the package

 -- Enrico Zini <enrico@debian.org>  Fri, 11 Nov 2005 17:42:19 +0100

libapt-front (0.3.3) unstable; urgency=low

  * Fix sources.list parsing of cdrom entries
  * Support changing of installation media.
  * Fix Depends: for libapt-front-dev.

 -- Peter Rockai <me@mornfall.net>  Wed, 28 Sep 2005 16:49:38 +0200

libapt-front (0.3.2) unstable; urgency=low

  * Fixes in broken package handling
  * Use exception handling in the Manager -- should be safer now

 -- Peter Rockai <me@mornfall.net>  Sun, 25 Sep 2005 12:36:29 +0200

libapt-front (0.3.1) experimental; urgency=low

  * Compile with -fPIC, some architectures apparently don't support
    shared libraries with non-PIC code.

 -- Peter Rockai <me@mornfall.net>  Mon, 12 Sep 2005 10:54:42 +0200

libapt-front (0.3) experimental; urgency=low

  [ Peter Rockai ]
  * improved actor code
  * component::History improvements/fixes
  * utils::Range improvements and fixes
  * some unit test work
  * implement sources.list parser
  * general cleanups and fixes all over the code

  [ Enrico Zini ]
  * Merged libdebtags into libapt-front.

 -- Peter Rockai <me@mornfall.net>  Fri,  9 Sep 2005 15:47:56 +0200

libapt-front (0.2) experimental; urgency=low

  * New upstream version

 -- Enrico Zini <enrico@debian.org>  Mon, 22 Aug 2005 23:41:07 +0200

libapt-front (0.1) experimental; urgency=low

  * Initial Release

 -- Enrico Zini <enrico@debian.org>  Sun, 12 Nov 2004 22:02:42 +0100

